# WhisperLive

High-Performance Real-Time Audio Transcription

### Connection Settings

HTTP API URL (For File Upload & API)
WebSocket URL (For Live Audio)
HTTP Status: Checking...
Audio File
Language
Task
Language
Task
Not connected
Click Start Recording to begin live transcription...

### OpenAI Compatible API

WhisperLive acts as a drop-in replacement for OpenAI's Whisper API. You can use any standard OpenAI client by changing the base URL.

#### Python (openai package)

    from openai import OpenAI

    client = OpenAI(
        api_key="sk-no-key-required",
        base_url="https://whisperlive.classroomcopilot.ai/v1/"
    )

    with open("audio.wav", "rb") as file:
        transcription = client.audio.transcriptions.create(
            file=file,
            model="base",
            response_format="verbose_json"
        )

    print(transcription.text)

#### cURL

    curl https://whisperlive.classroomcopilot.ai/v1/audio/transcriptions \
      -H "Content-Type: multipart/form-data" \
      -F file="@audio.wav" \
      -F model="base" \
      -F response_format="verbose_json"